// et_javascript.js - version 3.0
//
// Copyright (C) 2021-2024 EnglishTiger All Rights Reserved.
// License: Free Software
// Author: EnglishTiger
// Email:  EnglishTiger@outlook.com
//
// MC ;delimited lists are not very readable as there is no space between the ; and the next element/item
// tiEdit uses global replace to add a space between the ; and the next element/item
	function tiEdit() {
		var x = document.getElementsByName("mod");
		var i;
		for (i = 0; i < x.length; i++) {
			var str = x[i].innerHTML;
			if (str == "") { //Empty/Unused Tag/Field
				continue;
			}
			else if (str.indexOf(";") == -1) { // List only contains 1 entry/element (no ; in the data)
				continue;
			}
		else {
			x[i].innerHTML = str.replace(/;/g, "; "); // List contains multiple entries so add a space behind each ;
			}
		}
	}
// MC Channel No's are just numbers that indicate the total number of channels
// chExpand extends the info displayed by adding relevant channel layout info
// i.e 3 = 2.1, 6 = 5.1, 8 = 7.1
// chExpand translates them by adding relevant info
	function chExpand() {
		var c = document.getElementById("expand").innerHTML;
		var res = null;
		switch (c) {
			case "1":
				res = c + " (Mono)";
				break;
			case "2":
				res = c + " (Stereo)";
				break;
			case "3":
				res = c + " (2.1)";
				break;
			case "4":
				res = c + " (Quadrophonic)";
				break;
			case "5":
				res = c + " (Surround)";
				break;
			case "6":
				res = c + " (5.1 Surround)";
				break;
			case "7":
				res = c + " (Surround)";
				break;
			case "8":
				res = c +  " (7.1 Theatre Surround)";
				break
			default:
				res = c;
		}
		document.getElementById("expand").innerHTML = res;
	}
// Routine used by the Ultimate Variants to automatically switch between Classical and Non-Classical Display Mode
// It does this by looking for the presence, or absence, of "Classical" in the Genre Tag
// Where "Classical" indicates a Classical Track and any other value indicates a Non-Classical Track
// to reveal (display) the relevant parts of the sections of the css file
//
	function genreTest() {
		var c = document.getElementById("classic").innerHTML;
		switch (c) {
			case "Classical":
				document.getElementById("class1").style.display = "block";
				document.getElementById("class2").style.display = "block";
				break;
			default:
				document.getElementById("pop1").style.display = "block";
				document.getElementById("pop2").style.display = "block";
		}
	}
